.\" $NetBSD: mdsetimage.8,v 1.8 2001/10/01 23:32:34 cgd Exp $
.\"
.\" Copyright (c) 1996 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE_GC,v 1.1 2001/10/01 23:24:05 cgd Exp>>
.\"
.Dd October 3, 1996
.Dt MDSETIMAGE 8
.Os
.Sh NAME
.Nm mdsetimage
.Nd set kernel RAM disk image
.Sh SYNOPSIS
.Nm
.Op Fl T Ar address
.Op Fl v
.Ar kernel
.Ar image
.Sh DESCRIPTION
The
.Nm
command copies the disk image specified by
.Ar image
into the memory disk storage area in
.Ar kernel .
The file system present in
.Ar image
will typically be used by the kernel
as the root file system.
.Pp
For a.out kernels only, the
.Fl T
flag specifies the starting address of kernel text.
This flag is ignored for other kernel executable formats.
.Pp
If the
.Fl v
flag is given,
.Nm
will print out status information as
it is copying the image.
.Sh SEE ALSO
.Xr md 4 ,
.Xr mdconfig 8
